Skip to main content
GET
/
items
Retrieve a list of items
curl --request GET \
  --url https://api.retrac.co/items \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "sku": "<string>",
    "description": "<string>",
    "supplierId": "<string>",
    "cost": 123,
    "sellPrice": 123,
    "tagId": "<string>",
    "tags": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "userId": "<string>",
    "workspaceId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "projectId": "<string>",
    "supplier": {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

sku
string

The SKU of the item.

description
string

The item description.

cost
number

The item cost.

sellPrice
number

The default sell price of the item.

supplierId
string

The supplier ID for the item.

supplierIds

The supplier IDs to filter the items by.

tagId
string
deprecated

[DEPRECATED] (use tagIds instead): The tag ID to filter the items by.

tagIds

The tag IDs to filter the items by.

tagNames

The unique name of the tags assigned to the items (case insensitive).

The search term to filter the items by. The search term will be matched against the short item slug and the destination url.

userId
string

The user ID to filter the items by.

locationId
string

The location ID to filter the items by (only items with a balance row at that location will be returned).

withTags
boolean
default:false

Whether to include tags in the response. Defaults to false if not provided.

sort
enum<string>
default:createdAt

The field to sort the items by. The default is createdAt.

Available options:
updatedAt,
createdAt,
sku,
description,
cost,
sellPrice
order
enum<string>
default:desc

The sort order for the items. The default is desc.

Available options:
asc,
desc
page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

A list of items

id
string
required

The unique ID of the short item.

sku
string
required

The SKU of the item.

description
string
required

The item description.

supplierId
string | null
required

The supplier ID of the item.

cost
number
required

The item cost.

sellPrice
number
required

The default sell price of the item.

tagId
string | null
required
deprecated

[DEPRECATED] (use tags instead): The unique ID of the tag assigned to the short item.

tags
ItemTag · object[] | null
required

The tags assigned to the short item.

userId
string
required

The user ID of the creator of the short item.

workspaceId
string
required

The workspace ID of the short item.

createdAt
string
required

The date and time when the short item was created.

updatedAt
string
required

The date and time when the short item was last updated.

projectId
string
required
deprecated

[DEPRECATED] (use workspaceId instead): The project ID of the short item.

supplier
object

The linked supplier record.